Name:           gimp-lensfun
Version:        0.2.3
Release:        5%{?dist}
Summary:        Gimp plugin to correct lens distortion

License:        GPLv3+
URL:            http://seebk.github.io/GIMP-Lensfun/
Source0:        https://github.com/seebk/GIMP-Lensfun/releases/download/%{version}/gimplensfun-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  gimp-devel >= 2.0
BuildRequires:  exiv2-devel
BuildRequires:  lensfun-devel
Requires:       gimp >= 2.0
Requires:       exiv2
Requires:       lensfun >= 0.3.0

# Backport upstream pre-release commit for lensfun > 3.0 compatibility 
# https://github.com/seebk/GIMP-Lensfun/commit/730e1280bb1968ec1e31f8c87949187b022a74bb
Patch0:         %{name}-remove-cci.patch

%description
GimpLensfun is a Gimp plugin to correct lens distortion using the lensfun
library and database.


%prep
%setup -q -n gimplensfun-%{version}
%patch0 -p1


%build
make %{?_smp_mflags} CXXFLAGS="%{optflags}"


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins
install -m 755 %{name} $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/appdata


%files
%doc LICENSE.txt CHANGES.txt README.txt
%{_libdir}/gimp/2.0/plug-ins/%{name}
%{_datadir}/appdata/%{name}.metainfo.xml


%changelog
* Sun Oct 01 2017 Tomasz Tomasik <scx.mail@gmail.com> - 0.2.3-5
- Rebuilt for EL7

* Sun Dec 18 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.3-4.1
- rebuild (lensfun) (#1405581)

* Fri Mar 11 2016 Graham White <graham_alton@hotmail.com> - 0.2.3-4
- Fix bug #1316721, thanks to Jiri Eischmann
- AppStream metadata file has been added to the package

* Thu Jun 25 2015 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-3
- rebuild (exiv2)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 16 2015 Graham White <graham_alton@hotmail.com> - 0.2.3-1
- rebuild for F22
- include upstream commit for newer lensfun patch
- clean up spec file for passing Fedora package review

* Thu May 23 2013 Graham White <graham_alton@hotmail.com> - 0.2.3-1
- version bump to 0.2.3
- add optflags macro to the build
- change URL and source to point to new web site

* Fri Feb 08 2013 Graham White <graham_alton@hotmail.com> - 0.2.2-1
- update version and build for F18

* Sat May 26 2012 Graham White <graham_alton@hotmail.com> - 0.2.1-1
- first build, for F17
